#ifndef DATA_H
#define DATA_H

#include <QString>
#include <QByteArrayList>

enum en_type {t_hex, t_ascii, t_base64};
enum en_format {continous, separate, cprefix};

class Data
{
    public:
        bool cap;

        Data();
        Data(int len);
        void set(QString &in, enum en_type type);
        QString get(int bpl, enum en_type type, enum en_format format);

    private:
        QByteArrayList data;
        QString trns_to_ascii(QByteArray in);
        QString trns_to_base64(QByteArray in);
        QString trns_to_hex_cont(QByteArray in);
        QString trns_to_hex_sepa(QByteArray in);
        QString trns_to_hex_cpre(QByteArray in);
};

#endif // DATA_H
